org.apache.xml.dtm.ref

## Class DTMDefaultBaseIterators.InternalAxisIteratorBase

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Direct Known Subclasses:
  DTMDefaultBaseIterators.AncestorIterator, DTMDefaultBaseIterators.AttributeIterator, DTMDefaultBaseIterators.ChildrenIterator, DTMDefaultBaseIterators.DescendantIterator, DTMDefaultBaseIterators.FollowingIterator, DTMDefaultBaseIterators.FollowingSiblingIterator, DTMDefaultBaseIterators.NamespaceAttributeIterator, DTMDefaultBaseIterators.NamespaceChildrenIterator, DTMDefaultBaseIterators.NamespaceIterator, DTMDefaultBaseIterators.ParentIterator, DTMDefaultBaseIterators.PrecedingIterator, DTMDefaultBaseIterators.PrecedingSiblingIterator, DTMDefaultBaseIterators.RootIterator, DTMDefaultBaseIterators.SingletonIterator, DTMDefaultBaseIterators.TypedAttributeIterator, DTMDefaultBaseIterators.TypedChildrenIterator, SAX2DTM2.AncestorIterator, SAX2DTM2.AttributeIterator, SAX2DTM2.ChildrenIterator, SAX2DTM2.DescendantIterator, SAX2DTM2.FollowingIterator, SAX2DTM2.FollowingSiblingIterator, SAX2DTM2.ParentIterator, SAX2DTM2.PrecedingIterator, SAX2DTM2.PrecedingSiblingIterator, SAX2DTM2.TypedAttributeIterator, SAX2DTM2.TypedChildrenIterator, SAXImpl.NamespaceAttributeIterator, SAXImpl.NamespaceChildrenIterator, SAXImpl.NamespaceWildcardIterator

Enclosing class:
  DTMDefaultBaseIterators

    public abstract class DTMDefaultBaseIterators.InternalAxisIteratorBase
    extends DTMAxisIteratorBase

Abstract superclass defining behaviors shared by all DTMDefault's internal implementations of DTMAxisIterator. Subclass this (and override, if necessary) to implement the specifics of an individual axis iterator. Currently there isn't a lot here

### Field Summary

### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

`END`

### Constructor Summary

Constructors
Constructor and Description
`DTMDefaultBaseIterators.InternalAxisIteratorBase()`

### Method Summary

Methods
`void` `gotoMark()` Restores the current node remembered by setMark().
`void` `setMark()` Remembers the current node for the next call to gotoMark().

### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xml.dtm.DTMAxisIterator

`next, setStartNode`

### Constructor Detail

#### DTMDefaultBaseIterators.InternalAxisIteratorBase

    public DTMDefaultBaseIterators.InternalAxisIteratorBase()

### Method Detail

#### setMark

    public void setMark()

Remembers the current node for the next call to gotoMark(). %REVIEW% Should this save _position too?

#### gotoMark

    public void gotoMark()

Restores the current node remembered by setMark(). %REVEIW% Should this restore _position too?